<div>
    <h2 id="page-heading">
        <span jhiTranslate="gestioncvsApp.appelOffre.home.title">Appel Offres</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-appel-offre" [routerLink]="['/appel-offre/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="gestioncvsApp.appelOffre.home.createLabel">
            Create a new Appel Offre
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="appelOffres?.length === 0">
        <span jhiTranslate="gestioncvsApp.appelOffre.home.notFound">No appelOffres found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="appelOffres && appelOffres.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="date"><span jhiTranslate="gestioncvsApp.appelOffre.date">Date</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="budget"><span jhiTranslate="gestioncvsApp.appelOffre.budget">Budget</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="duree"><span jhiTranslate="gestioncvsApp.appelOffre.duree">Duree</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="context"><span jhiTranslate="gestioncvsApp.appelOffre.context">Context</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="projetsDId"><span jhiTranslate="gestioncvsApp.appelOffre.projetsD">Projets D</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="clientId"><span jhiTranslate="gestioncvsApp.appelOffre.client">Client</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let appelOffre of appelOffres ;trackBy: trackId">
                    <td><a [routerLink]="['/appel-offre', appelOffre.id, 'view']">{{ appelOffre.id }}</a></td>
                    <td>{{ appelOffre.date | date:'medium' }}</td>
                    <td>{{ appelOffre.budget }}</td>
                    <td>{{ appelOffre.duree }}</td>
                    <td>{{ appelOffre.context }}</td>
                    <td>
                        <div *ngIf="appelOffre.projetsDId">
                            <a [routerLink]="['/projet-demande', appelOffre.projetsDId , 'view']" >{{ appelOffre.projetsDId }}</a>
                        </div>
                    </td>
                    <td>
                        <div *ngIf="appelOffre.clientId">
                            <a [routerLink]="['/client', appelOffre.clientId , 'view']" >{{ appelOffre.clientId }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/appel-offre', appelOffre.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/appel-offre', appelOffre.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(appelOffre)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="appelOffres && appelOffres.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>

        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
